Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Andreas Röhler <[email-masked]>
Date: Thu, 26 Nov 2015 09:33:05 +0100

Am 18.11.2015 um 18:44 schrieb John Wiegley:
> By my count today, there are 461 byte-compilation warnings on the emacs-25
> branch. This issue is here as a release blocker to deal with, or silence,
> these warnings.
>
> How do I mark this as a release blocker when creating an e-mail report?
>
> John
>
> abbrev.el:847:8:Warning: ‘with-wrapper-hook’ is an obsolete macro (as of
> emacs-lisp/byte-run.el:48:1:Warning: ‘macro-declaration-function’ is an
> emacs-lisp/float-sup.el:31:1:Warning: global/dynamic var ‘pi’ lacks a prefix
> emacs-lisp/lisp.el:367:27:Warning: ‘syntax-begin-function’ is an obsolete
> files.el:1697:8:Warning: function create-file-buffer used to take 0+
> font-lock.el:641:47:Warning: ‘font-lock-fontify-buffer’ is for interactive use
> font-lock.el:1755:34:Warning: ‘syntax-begin-function’ is an obsolete variable
> menu-bar.el:417:11:Warning: reference to free variable ‘xref-find-function’
> minibuffer.el:1697:12:Warning: display-completion-list called with 2
> minibuffer.el:1966:62:Warning: ‘with-wrapper-hook’ is an obsolete macro (as of
> minibuffer.el:2924:1:Warning: Unused lexical variable ‘p1’
> minibuffer.el:2924:1:Warning: Unused lexical variable ‘p2’
> replace.el:2235:36:Warning: looking-back called with 1 argument, but requires
> simple.el:4018:52:Warning: ‘with-wrapper-hook’ is an obsolete macro (as of
> startup.el:115:1:Warning: global/dynamic var ‘argv’ lacks a prefix
> startup.el:122:1:Warning: global/dynamic var ‘argi’ lacks a prefix
> subr.el:32:11:Warning: macro declare-function used to take 2+ arguments, now
> dirtrack.el:183:1:Warning: global/dynamic var ‘dirtrackp’ lacks a prefix
> ehelp.el:358:10:Warning: ‘execute-extended-command’ is for interactive use
> epa-mail.el:75:4:Warning: ‘epa-decrypt-armor-in-region’ is for interactive use
> epa-mail.el:83:4:Warning: ‘epa-verify-cleartext-in-region’ is for interactive
> epa-mail.el:109:10:Warning: ‘epa-sign-region’ is for interactive use only.
> epa-mail.el:228:12:Warning: ‘epa-encrypt-region’ is for interactive use only.
> epa.el:1008:19:Warning: ‘epa-verify-region’ is for interactive use only.
> ffap.el:984:63:Warning: assignment to free variable ‘kpsewhich-args’
> ffap.el:984:59:Warning: reference to free variable ‘kpsewhich-args’
> htmlfontify.el:1820:13:Warning: ‘font-lock-fontify-buffer’ is for interactive
> isearchb.el:80:1:Warning: Package iswitchb is obsolete!
> pcmpl-gnu.el:162:47:Warning: ‘pcomplete-suffix-list’ is an obsolete variable
> pcomplete.el:1017:11:Warning: macro ‘pcomplete-here’ defined too late
> server.el:1705:1:Warning: the function ‘cygwin-convert-file-name-from-windows’
> calendar/appt.el:548:1:Warning: global/dynamic var ‘number’ lacks a prefix
> calendar/cal-bahai.el:316:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-china.el:635:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-china.el:653:1:Warning: global/dynamic var ‘entry’ lacks a prefix
> calendar/cal-coptic.el:171:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-french.el:246:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-hebrew.el:751:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-hebrew.el:759:1:Warning: global/dynamic var ‘entry’ lacks a
> calendar/cal-islam.el:308:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-iso.el:132:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-julian.el:186:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-mayan.el:356:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/cal-persia.el:199:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/diary-lib.el:715:1:Warning: global/dynamic var ‘number’ lacks a
> calendar/diary-lib.el:1812:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/diary-lib.el:1813:1:Warning: global/dynamic var ‘entry’ lacks a
> calendar/lunar.el:244:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/solar.el:890:1:Warning: global/dynamic var ‘date’ lacks a prefix
> calendar/time-date.el:134:11:Warning: ‘encode-time-value’ is an obsolete
> calendar/time-date.el:260:24:Warning: ‘encode-time-value’ is an obsolete
> calendar/time-date.el:268:27:Warning: ‘encode-time-value’ is an obsolete
> calendar/todo-mode.el:4664:24:Warning: looking-back called with 1 argument,
> cedet/ede.el:1540:1:Warning: the following functions might not be defined at
> cedet/mode-local.el:641:42:Warning: reference to free variable
> cedet/semantic.el:1188:15:Warning: Unknown slot ‘bounds’
> cedet/ede/base.el:631:34:Warning: Unknown slot ‘:file’
> cedet/ede/base.el:634:69:Warning: Unknown slot ‘:directory’
> cedet/ede/config.el:164:17:Warning: Unknown slot ‘:directory’
> cedet/ede/config.el:260:23:Warning: Unknown slot ‘:debug-command’
> cedet/ede/config.el:277:34:Warning: Unknown slot ‘:run-command’
> cedet/ede/config.el:308:22:Warning: Unknown slot ‘:build-command’
> cedet/ede/config.el:383:17:Warning: Unknown slot ‘:c-preprocessor-files’
> cedet/ede/config.el:386:11:Warning: Unknown slot ‘lexical-table’
> cedet/ede/config.el:388:5:Warning: Unknown slot ‘:c-preprocessor-table’
> cedet/ede/config.el:413:36:Warning: Unknown slot ‘:classpath’
> cedet/ede/cpp-root.el:284:13:Warning: Unknown slot ‘:file’
> cedet/ede/cpp-root.el:444:30:Warning: Unknown slot ‘lexical-table’
> cedet/ede/cpp-root.el:456:78:Warning: Unknown slot ‘:compile-command’
> cedet/ede/cpp-root.el:464:30:Warning: Unknown slot ‘:local-variables’
> cedet/ede/cpp-root.el:472:75:Warning: Unknown slot ‘:project’
> cedet/ede/detect.el:204:49:Warning: ‘eieio-object-name-string’ is an obsolete
> cedet/ede/emacs.el:227:13:Warning: Unknown slot ‘lexical-table’
> cedet/ede/emacs.el:227:43:Warning: Unknown slot ‘lexical-table’
> cedet/ede/files.el:123:26:Warning: Unknown slot ‘:directory’
> cedet/ede/files.el:211:31:Warning: Unknown slot ‘:directory’
> cedet/ede/files.el:207:20:Warning: Unknown slot ‘:directory’
> cedet/ede/files.el:231:36:Warning: Unknown slot ‘:directory’
> cedet/ede/files.el:359:12:Warning: Unknown slot ‘:directory’
> cedet/ede/files.el:368:13:Warning: Unknown slot ‘:directory’
> cedet/ede/linux.el:309:29:Warning: Unknown slot ‘lexical-table’
> cedet/ede/proj-archive.el:35:1:Warning: Obsolete name arg "ede-archive-linker"
> cedet/ede/proj-aux.el:36:1:Warning: Obsolete name arg "ede-aux-source-txt" to
> cedet/ede/proj-elisp.el:79:1:Warning: Obsolete name arg "ede-emacs-source" to
> cedet/ede/proj-elisp.el:86:1:Warning: Obsolete name arg "ede-emacs-compiler"
> cedet/ede/proj-elisp.el:97:18:Warning: Obsolete name arg
> cedet/ede/proj-elisp.el:325:1:Warning: Obsolete name arg
> cedet/ede/proj-elisp.el:336:89:Warning: Obsolete name arg "clean-autoloads" to
> cedet/ede/proj-info.el:45:1:Warning: Obsolete name arg "ede-makeinfo-source"
> cedet/ede/proj-info.el:52:1:Warning: Obsolete name arg "ede-makeinfo-compiler"
> cedet/ede/proj-info.el:63:1:Warning: Obsolete name arg
> cedet/ede/proj-misc.el:51:1:Warning: Obsolete name arg "ede-misc-source" to
> cedet/ede/proj-misc.el:57:1:Warning: Obsolete name arg "ede-misc-compile" to
> cedet/ede/proj-obj.el:85:1:Warning: Obsolete name arg "ede-source-c" to
> cedet/ede/proj-obj.el:93:1:Warning: Obsolete name arg "ede-c-compiler-gcc" to
> cedet/ede/proj-obj.el:105:18:Warning: Obsolete name arg "c-inference-rule" to
> cedet/ede/proj-obj.el:116:1:Warning: Obsolete name arg "ede-cc-linker" to
> cedet/ede/proj-obj.el:126:1:Warning: Obsolete name arg "ede-source-c++" to
> cedet/ede/proj-obj.el:134:1:Warning: Obsolete name arg "ede-c-compiler-g++" to
> cedet/ede/proj-obj.el:147:18:Warning: Obsolete name arg "c++-inference-rule"
> cedet/ede/proj-obj.el:158:1:Warning: Obsolete name arg "ede-g++-linker" to
> cedet/ede/proj-obj.el:171:1:Warning: Obsolete name arg "ede-source-lex" to
> cedet/ede/proj-obj.el:178:1:Warning: Obsolete name arg "ede-lex-compiler" to
> cedet/ede/proj-obj.el:187:1:Warning: Obsolete name arg "ede-source-yacc" to
> cedet/ede/proj-obj.el:194:1:Warning: Obsolete name arg "ede-yacc-compiler" to
> cedet/ede/proj-obj.el:205:1:Warning: Obsolete name arg "ede-source-f90" to
> cedet/ede/proj-obj.el:213:1:Warning: Obsolete name arg "ede-source-f77" to
> cedet/ede/proj-obj.el:221:1:Warning: Obsolete name arg
> cedet/ede/proj-obj.el:233:18:Warning: Obsolete name arg "f90-inference-rule"
> cedet/ede/proj-obj.el:254:1:Warning: Obsolete name arg "ede-gfortran-linker"
> cedet/ede/proj-obj.el:266:1:Warning: Obsolete name arg "ede-ld-linker" to
> cedet/ede/proj-shared.el:81:24:Warning: Obsolete name arg
> cedet/ede/proj-shared.el:128:24:Warning: Obsolete name arg
> cedet/ede/project-am.el:662:32:Warning: Unknown slot ‘:file’
> cedet/ede/project-am.el:697:66:Warning: Unknown slot ‘:source’
> cedet/ede/project-am.el:699:16:Warning: Unknown slot ‘:name’
> cedet/ede/project-am.el:801:49:Warning: Unknown slot ‘:path’
> cedet/ede/project-am.el:809:17:Warning: Unknown slot ‘:include’
> cedet/ede/project-am.el:818:49:Warning: Unknown slot ‘:path’
> cedet/ede/project-am.el:818:68:Warning: Unknown slot ‘:source’
> cedet/ede/project-am.el:830:48:Warning: Unknown slot ‘:name’
> cedet/ede/project-am.el:996:31:Warning: Unknown slot ‘:directory’
> cedet/ede/shell.el:41:20:Warning: Unknown slot ‘:directory’
> cedet/ede/simple.el:48:15:Warning: Obsolete name arg "simple-overlay" to
> cedet/ede/source.el:158:1:Warning: Obsolete name arg "ede-source-scheme" to
> cedet/ede/util.el:44:28:Warning: Unknown slot ‘:version’
> cedet/semantic/analyze.el:205:18:Warning: Unknown slot ‘:prefix’
> cedet/semantic/analyze.el:213:5:Warning: Unknown slot ‘:function’
> cedet/semantic/analyze.el:218:5:Warning: Unknown slot ‘:assignee’
> cedet/semantic/analyze.el:666:22:Warning: Obsolete name arg "functionargument"
> cedet/semantic/analyze.el:673:24:Warning: Obsolete name arg "assignment" to
> cedet/semantic/analyze.el:698:15:Warning: Obsolete name arg "context" to
> cedet/semantic/analyze.el:748:13:Warning: Unknown slot ‘:buffer’
> cedet/semantic/analyze.el:749:38:Warning: Unknown slot ‘:bounds’
> cedet/semantic/chart.el:155:34:Warning: Unknown slot ‘filestream’
> cedet/semantic/chart.el:155:37:Warning: Unknown slot ‘includestream’
> cedet/semantic/chart.el:158:31:Warning: Unknown slot ‘fullscope’
> cedet/semantic/chart.el:165:41:Warning: Unknown slot ‘localvar’
> cedet/semantic/complete.el:1286:49:Warning: Unknown slot ‘:table’
> cedet/semantic/complete.el:1892:43:Warning: Obsolete name arg "simple" to
> cedet/semantic/complete.el:1947:8:Warning: Obsolete name arg "inline" to
> cedet/semantic/complete.el:2038:22:Warning: Obsolete name arg "inline" to
> cedet/semantic/db-el.el:80:1:Warning: Obsolete name arg "Emacs" to constructor
> cedet/semantic/db-el.el:346:1:Warning: the function
> cedet/semantic/db-find.el:366:49:Warning: ‘semanticdb-table-child-p’ is an
> cedet/semantic/db-find.el:407:23:Warning: ‘semanticdb-abstract-table-child-p’
> cedet/semantic/db-find.el:912:20:Warning: ‘semanticdb-abstract-table-child-p’
> cedet/semantic/db-find.el:942:39:Warning: ‘semanticdb-abstract-table-child-p’
> cedet/semantic/db-global.el:93:8:Warning: Obsolete name arg "global" to
> cedet/semantic/db-global.el:194:26:Warning: Unknown slot ‘:hit-text’
> cedet/semantic/db-javascript.el:99:1:Warning: Obsolete name arg "Javascript"
> cedet/semantic/db-ref.el:91:49:Warning: ‘semanticdb-table-child-p’ is an
> cedet/semantic/db-ref.el:168:50:Warning: Obsolete name arg "DEBUG" to
> cedet/semantic/db-typecache.el:562:49:Warning: Unknown slot ‘:major-mode’
> cedet/semantic/debug.el:171:88:Warning: Unknown slot ‘:source-buffer’
> cedet/semantic/debug.el:213:17:Warning: Unknown slot ‘:parser-buffer’
> cedet/semantic/debug.el:365:28:Warning: Obsolete name arg "Debug Interface" to
> cedet/semantic/ede-grammar.el:69:1:Warning: Obsolete name arg
> cedet/semantic/ede-grammar.el:81:1:Warning: Obsolete name arg
> cedet/semantic/ede-grammar.el:92:18:Warning: Obsolete name arg
> cedet/semantic/ede-grammar.el:100:1:Warning: Obsolete name arg
> cedet/semantic/ede-grammar.el:108:1:Warning: Obsolete name arg
> cedet/semantic/ede-grammar.el:119:18:Warning: Obsolete name arg
> cedet/semantic/grammar.el:1923:40:Warning: Unknown slot ‘:prefix’
> cedet/semantic/grammar.el:1933:10:Warning: Unknown slot ‘prefixclass’
> cedet/semantic/idle.el:905:38:Warning: Unknown slot ‘bounds’
> cedet/semantic/idle.el:906:37:Warning: Unknown slot ‘prefix’
> cedet/semantic/idle.el:1189:25:Warning: Unknown slot ‘parents’
> cedet/semantic/idle.el:1189:44:Warning: Unknown slot ‘tag’
> cedet/semantic/mru-bookmark.el:168:1:Warning: Obsolete name arg "Ring" to
> cedet/semantic/mru-bookmark.el:322:36:Warning: Unknown slot ‘:object-name’
> cedet/semantic/scope.el:319:23:Warning: Obsolete name arg "mini" to
> cedet/semantic/senator.el:577:23:Warning: Unknown slot ‘parents’
> cedet/semantic/symref.el:110:24:Warning: Unknown slot ‘:metasubproject’
> cedet/semantic/symref.el:332:20:Warning: Unknown slot ‘:hit-lines’
> cedet/semantic/symref.el:365:31:Warning: Unknown slot ‘:searchfor’
> cedet/semantic/symref.el:365:31:Warning: Unknown slot ‘:created-by’
> cedet/semantic/symref.el:366:48:Warning: Unknown slot ‘:searchtype’
> cedet/semantic/symref.el:546:44:Warning: Unknown slot ‘:resulttype’
> cedet/semantic/texi.el:415:17:Warning: Unknown slot ‘:prefix’
> cedet/semantic/texi.el:428:64:Warning: Unknown slot ‘:prefixclass’
> cedet/semantic/texi.el:691:1:Warning: the function ‘semantic-analyze-context’
> cedet/semantic/util.el:113:11:Warning: ‘semanticdb-abstract-table-child-p’ is
> cedet/semantic/analyze/complete.el:91:24:Warning:
> cedet/semantic/analyze/debug.el:478:63:Warning: Unknown slot ‘:scope’
> cedet/semantic/analyze/refs.el:106:29:Warning: Unknown slot ‘:tag’
> cedet/semantic/bovine/debug.el:61:52:Warning: Obsolete name arg "frame" to
> cedet/semantic/bovine/debug.el:119:50:Warning: Obsolete name arg "frame" to
> cedet/semantic/bovine/make.el:200:15:Warning: Unknown slot ‘:prefixclass’
> cedet/semantic/bovine/make.el:196:63:Warning: Unknown slot ‘:prefix’
> cedet/semantic/bovine/scm-by.el:231:1:Warning: the function
> cedet/semantic/decorate/include.el:444:8:Warning: Unknown slot ‘:major-mode’
> cedet/semantic/decorate/include.el:447:15:Warning: Unknown slot ‘:tags’
> cedet/semantic/decorate/include.el:451:8:Warning: Unknown slot ‘:pointmax’
> cedet/semantic/decorate/include.el:806:58:Warning: ‘eieio-object-name-string’
> cedet/semantic/decorate/include.el:812:46:Warning: ‘eieio-object-name-string’
> cedet/semantic/symref/cscope.el:54:14:Warning: Unknown slot ‘:searchfor’
> cedet/semantic/symref/cscope.el:54:45:Warning: Unknown slot ‘:searchtype’
> cedet/semantic/symref/cscope.el:55:45:Warning: Unknown slot ‘:resulttype’
> cedet/semantic/symref/cscope.el:56:45:Warning: Unknown slot ‘:searchscope’
> cedet/semantic/symref/global.el:43:13:Warning: Unknown slot ‘:searchfor’
> cedet/semantic/symref/global.el:43:48:Warning: Unknown slot ‘:searchtype’
> cedet/semantic/symref/global.el:44:48:Warning: Unknown slot ‘:resulttype’
> cedet/semantic/symref/global.el:45:48:Warning: Unknown slot ‘:searchscope’
> cedet/semantic/symref/grep.el:90:1:Warning: global/dynamic var ‘grepflags’
> cedet/semantic/symref/grep.el:91:1:Warning: global/dynamic var ‘greppattern’
> cedet/semantic/symref/grep.el:143:19:Warning: Unknown slot ‘:searchtype’
> cedet/semantic/symref/grep.el:180:68:Warning: Unknown slot ‘:resulttype’
> cedet/semantic/symref/idutils.el:43:13:Warning: Unknown slot ‘:searchfor’
> cedet/semantic/symref/idutils.el:43:45:Warning: Unknown slot ‘:searchtype’
> cedet/semantic/symref/idutils.el:44:45:Warning: Unknown slot ‘:resulttype’
> cedet/semantic/symref/idutils.el:45:45:Warning: Unknown slot ‘:searchscope’
> cedet/semantic/symref/list.el:214:24:Warning: Unknown slot ‘:hit-tags’
> cedet/semantic/symref/list.el:408:4:Warning: Unknown slot ‘:searchfor’
> cedet/semantic/symref/list.el:408:4:Warning: Unknown slot ‘:created-by’
> cedet/srecode/args.el:180:37:Warning: Unknown slot ‘:version’
> cedet/srecode/compile.el:141:34:Warning: Unknown slot ‘key’
> cedet/srecode/compile.el:552:34:Warning: Unknown slot ‘:object-name’
> cedet/srecode/compile.el:553:46:Warning: Unknown slot ‘:context’
> cedet/srecode/compile.el:601:4:Warning: ‘eieio-object-name-string’ is an
> cedet/srecode/compile.el:647:4:Warning: ‘eieio-object-name-string’ is an
> cedet/srecode/compile.el:647:36:Warning: Unknown slot ‘:secondname’
> cedet/srecode/cpp.el:122:59:Warning: Unknown slot ‘:prime’
> cedet/srecode/ctxt.el:179:9:Warning: Unknown slot ‘object-name’
> cedet/srecode/dictionary.el:125:35:Warning: Unknown slot ‘:value’
> cedet/srecode/dictionary.el:227:18:Warning: Unknown slot ‘:tables’
> cedet/srecode/dictionary.el:541:29:Warning: Unknown slot ‘:object-name’
> cedet/srecode/dictionary.el:543:22:Warning: Unknown slot ‘prompt’
> cedet/srecode/dictionary.el:544:22:Warning: Unknown slot ‘read-fcn’
> cedet/srecode/el.el:86:54:Warning: Unknown slot ‘:prime’
> cedet/srecode/extract.el:90:46:Warning: Obsolete name arg "state" to
> cedet/srecode/extract.el:163:33:Warning: Unknown slot ‘:object-name’
> cedet/srecode/find.el:99:53:Warning: Unknown slot ‘:project’
> cedet/srecode/find.el:142:22:Warning: Unknown slot ‘:tables’
> cedet/srecode/find.el:148:54:Warning: Unknown slot ‘:application’
> cedet/srecode/find.el:151:9:Warning: Unknown slot ‘:major-mode’
> cedet/srecode/find.el:248:57:Warning: Unknown slot ‘:application’
> cedet/srecode/insert.el:473:35:Warning: Unknown slot ‘:object-name’
> cedet/srecode/insert.el:479:27:Warning: Unknown slot ‘:secondname’
> cedet/srecode/insert.el:552:48:Warning: Unknown slot ‘:object-name’
> cedet/srecode/insert.el:589:40:Warning: Unknown slot ‘:defaultfcn’
> cedet/srecode/insert.el:626:26:Warning: Unknown slot ‘:read-fcn’
> cedet/srecode/insert.el:808:6:Warning: ‘eieio-object-name-string’ is an
> cedet/srecode/insert.el:864:53:Warning: Unknown slot ‘:object-name’
> cedet/srecode/insert.el:866:25:Warning: ‘eieio-object-name-string’ is an
> cedet/srecode/insert.el:925:43:Warning: Unknown slot ‘:secondname’
> cedet/srecode/insert.el:978:8:Warning: Unknown slot ‘:object-name’
> cedet/srecode/insert.el:1059:22:Warning: Unknown slot ‘:object-name’
> cedet/srecode/map.el:273:18:Warning: Obsolete name arg "SRecode Map" to
> cedet/srecode/map.el:302:10:Warning: Obsolete name arg "SRecode Map" to
> cedet/srecode/mode.el:199:40:Warning: Unknown slot ‘:tables’
> cedet/srecode/mode.el:242:31:Warning: ‘eieio-object-name-string’ is an
> cedet/srecode/mode.el:344:52:Warning: Unknown slot ‘:table’
> cedet/srecode/mode.el:325:10:Warning: Unknown slot ‘:file’
> cedet/srecode/mode.el:325:30:Warning: Unknown slot ‘:object-name’
> cedet/srecode/mode.el:339:26:Warning: Unknown slot ‘:context’
> cedet/srecode/semantic.el:66:8:Warning: Unknown slot ‘:prime’
> cedet/srecode/semantic.el:106:44:Warning: Unknown slot ‘:prime’
> cedet/srecode/srt-mode.el:247:45:Warning: Unknown slot ‘key’
> cedet/srecode/srt-mode.el:500:33:Warning: Obsolete name arg "TMP" to
> cedet/srecode/srt-mode.el:505:34:Warning: Unknown slot ‘:object-name’
> cedet/srecode/srt-mode.el:508:61:Warning: Unknown slot ‘:secondname’
> cedet/srecode/srt-mode.el:508:33:Warning: Unknown slot ‘key’
> cedet/srecode/srt-mode.el:631:26:Warning: Unknown slot ‘:prefix’
> cedet/srecode/srt-mode.el:649:29:Warning: Unknown slot ‘:argument’
> cedet/srecode/table.el:203:49:Warning: Unknown slot ‘:priority’
> cedet/srecode/table.el:204:51:Warning: Unknown slot ‘:priority’
> cedet/srecode/table.el:242:4:Warning: Unknown slot ‘:major-mode’
> cedet/srecode/table.el:243:4:Warning: Unknown slot ‘:tables’
> cedet/srecode/table.el:255:4:Warning: ‘eieio-object-name-string’ is an
> cedet/srecode/table.el:257:4:Warning: Unknown slot ‘:priority’
> cedet/srecode/table.el:257:20:Warning: Unknown slot ‘:application’
> cedet/srecode/table.el:260:22:Warning: Unknown slot ‘:framework’
> cedet/srecode/table.el:263:22:Warning: Unknown slot ‘:project’
> cedet/srecode/texi.el:156:8:Warning: Unknown slot ‘:prime’
> emacs-lisp/chart.el:130:44:Warning: Unknown slot ‘title’
> emacs-lisp/eieio-custom.el:202:41:Warning: ‘eieio-object-name-string’ is an
> emacs-lisp/eieio-custom.el:469:14:Warning: Unknown slot ‘name’
> emacs-lisp/eieio-datadebug.el:64:16:Warning: ‘eieio-object-name-string’ is an
> emacs-lisp/eieio-datadebug.el:90:6:Warning: ‘eieio-object-name-string’ is an
> emacs-lisp/eieio-opt.el:154:65:Warning: ‘eieio-help-class’ is an obsolete
> emacs-lisp/eieio-speedbar.el:199:43:Warning: ‘eieio-object-name-string’ is an
> emacs-lisp/eieio-speedbar.el:207:49:Warning: ‘eieio-object-name-string’ is an
> emacs-lisp/ewoc.el:501:1:Warning: Unused lexical variable ‘dll’
> emacs-lisp/package.el:3412:1:Warning: the function
> emacs-lisp/pcase.el:501:8:Warning: function pcase--mutually-exclusive-p used
> emulation/viper-ex.el:551:13:Warning: looking-back called with 1 argument, but
> emulation/viper-ex.el:553:13:Warning: looking-back called with 1 argument, but
> emulation/viper-ex.el:552:26:Warning: looking-back called with 1 argument, but
> emulation/viper-ex.el:2014:6:Warning: ‘find-tag’ is an obsolete function (as
> emulation/viper-ex.el:2018:36:Warning: ‘find-tag-other-window’ is an obsolete
> erc/erc.el:5401:27:Warning: global/dynamic var ‘str’ lacks a prefix
> eshell/em-alias.el:217:1:Warning: Unused lexical argument ‘args’
> eshell/em-cmpl.el:271:8:Warning: ‘pcomplete-suffix-list’ is an obsolete
> eshell/em-dirs.el:186:1:Warning: Unused lexical argument ‘args’
> eshell/em-dirs.el:303:1:Warning: Unused lexical argument ‘args’
> eshell/em-rebind.el:225:49:Warning: ‘delete-backward-char’ is for interactive
> eshell/em-script.el:60:1:Warning: Unused lexical argument ‘args’
> eshell/em-tramp.el:97:1:Warning: Unused lexical variable ‘args’
> eshell/em-unix.el:933:1:Warning: Unused lexical variable ‘args’
> eshell/em-unix.el:963:1:Warning: Unused lexical argument ‘args’
> eshell/esh-io.el:325:1:Warning: Unused lexical variable ‘gui-select-enable-clipboard’
> eshell/esh-mode.el:491:15:Warning: ‘find-tag’ is an obsolete function (as of
> eshell/esh-proc.el:161:1:Warning: Unused lexical argument ‘args’
> eshell/esh-var.el:346:1:Warning: Unused lexical variable ‘args’
> gnus/gnus-cite.el:1239:17:Warning: ‘font-lock-fontify-buffer’ is for
> gnus/gnus-group.el:1637:4:Warning: global/dynamic var ‘ticked’ lacks a prefix
> gnus/gnus-group.el:1637:23:Warning: global/dynamic var ‘score’ lacks a prefix
> gnus/gnus-group.el:1637:39:Warning: global/dynamic var ‘level’ lacks a prefix
> gnus/gnus-group.el:1637:54:Warning: global/dynamic var ‘mailp’ lacks a prefix
> gnus/gnus-group.el:1638:4:Warning: global/dynamic var ‘total’ lacks a prefix
> gnus/gnus-group.el:1638:19:Warning: global/dynamic var ‘unread’ lacks a prefix
> gnus/message.el:1913:1:Warning: ‘make-variable-buffer-local’ not called at
> gnus/message.el:6045:1:Warning: global/dynamic var ‘Date’ lacks a prefix
> gnus/message.el:6047:1:Warning: global/dynamic var ‘Organization’ lacks a
> gnus/message.el:6048:1:Warning: global/dynamic var ‘From’ lacks a prefix
> gnus/message.el:6049:1:Warning: global/dynamic var ‘Path’ lacks a prefix
> gnus/message.el:6050:1:Warning: global/dynamic var ‘Subject’ lacks a prefix
> gnus/message.el:6051:1:Warning: global/dynamic var ‘Newsgroups’ lacks a prefix
> gnus/message.el:6053:1:Warning: global/dynamic var ‘References’ lacks a prefix
> gnus/message.el:6054:1:Warning: global/dynamic var ‘To’ lacks a prefix
> gnus/message.el:6055:1:Warning: global/dynamic var ‘Distribution’ lacks a
> gnus/message.el:6056:1:Warning: global/dynamic var ‘Lines’ lacks a prefix
> gnus/message.el:6058:1:Warning: global/dynamic var ‘Expires’ lacks a prefix
> gnus/mm-decode.el:1933:1:Warning: the function ‘gnus-format-message’ is not
> gnus/mm-uu.el:339:1:Warning: global/dynamic var ‘entry’ lacks a prefix
> gnus/mm-view.el:528:18:Warning: ‘font-lock-fontify-buffer’ is for interactive
> gnus/mml-smime.el:601:1:Warning: the function ‘gnus-format-message’ is not
> gnus/mml1991.el:194:8:Warning: ‘mm-with-unibyte-current-buffer’ is an obsolete
> gnus/mml1991.el:363:33:Warning: ‘mm-with-unibyte-current-buffer’ is an
> gnus/mml2015.el:476:14:Warning: ‘mm-with-unibyte-current-buffer’ is an
> gnus/nnmail.el:1962:31:Warning: ‘rmail-dont-reply-to-names’ is an obsolete
> gnus/nnmaildir.el:1781:42:Warning: global/dynamic var ‘flist’ lacks a prefix
> gnus/nnmaildir.el:1782:4:Warning: global/dynamic var ‘ls’ lacks a prefix
> gnus/nnmaildir.el:1782:19:Warning: global/dynamic var ‘dirs’ lacks a prefix
> gnus/nnmaildir.el:1782:31:Warning: global/dynamic var ‘dir’ lacks a prefix
> gnus/nnmaildir.el:1782:45:Warning: global/dynamic var ‘files’ lacks a prefix
> gnus/nnmaildir.el:1783:4:Warning: global/dynamic var ‘file’ lacks a prefix
> gnus/nnmaildir.el:1783:19:Warning: global/dynamic var ‘x’ lacks a prefix
> gnus/nnrss.el:590:22:Warning: ‘mm-with-unibyte-current-buffer’ is an obsolete
> gnus/nnspool.el:348:37:Warning: ‘mm-with-unibyte-current-buffer’ is an
> gnus/nnweb.el:107:22:Warning: ‘mm-with-unibyte-current-buffer’ is an obsolete
> gnus/nnweb.el:157:39:Warning: ‘mm-with-unibyte-current-buffer’ is an obsolete
> gnus/nnweb.el:166:45:Warning: ‘mm-with-unibyte-current-buffer’ is an obsolete
> gnus/nnweb.el:390:42:Warning: ‘mm-with-unibyte-current-buffer’ is an obsolete
> gnus/plstore.el:419:14:Warning: ‘epg-context-set-armor’ is an obsolete
> gnus/registry.el:186:18:Warning: Unknown slot ‘:tracker’
> gnus/utf7.el:123:43:Warning: ‘mm-with-unibyte-current-buffer’ is an obsolete
> mail/mailalias.el:55:1:Warning: global/dynamic var ‘pattern’ lacks a prefix
> mail/mailheader.el:102:1:Warning: global/dynamic var ‘headers’ lacks a prefix
> mail/rmail.el:4583:1:Warning: Unused lexical variable ‘rmail-mime-render-html-function’
> mail/rmail.el:4950:1:Warning: the function ‘rmail-mime-entity-truncated’ is
> mail/supercite.el:709:1:Warning: global/dynamic var ‘curline’ lacks a prefix
> obsolete/cc-compat.el:166:1:Warning: the following functions might not be
> obsolete/complete.el:836:33:Warning: ‘completion-base-size’ is an obsolete
> obsolete/otodo-mode.el:928:1:Warning: global/dynamic var ‘date’ lacks a prefix
> obsolete/otodo-mode.el:929:1:Warning: global/dynamic var ‘entry’ lacks a
> obsolete/vc-mcvs.el:443:29:Warning: reference to free variable
> obsolete/vc-mcvs.el:594:1:Warning: the function ‘vc-stay-local-p’ is not known
> obsolete/vi.el:1389:22:Warning: ‘mark-whole-buffer’ is for interactive use
> obsolete/vip.el:1860:17:Warning: ‘delete-backward-char’ is for interactive use
> obsolete/vip.el:2980:6:Warning: ‘find-tag’ is an obsolete function (as of
> obsolete/vip.el:2983:32:Warning: ‘find-tag-other-window’ is an obsolete
> org/ob-lilypond.el:250:34:Warning: ‘show-all’ is an obsolete function (as of
> org/org-agenda.el:8307:32:Warning: ‘show-entry’ is an obsolete function (as of
> org/org-agenda.el:8527:34:Warning: ‘show-entry’ is an obsolete function (as of
> org/org-agenda.el:8565:16:Warning: ‘show-subtree’ is an obsolete function (as
> org/org-agenda.el:8596:10:Warning: ‘hide-subtree’ is an obsolete function (as
> org/org-agenda.el:8604:10:Warning: ‘show-entry’ is an obsolete function (as of
> org/org-agenda.el:8605:8:Warning: ‘show-children’ is an obsolete function (as
> org/org-agenda.el:8611:10:Warning: ‘show-subtree’ is an obsolete function (as
> org/org-agenda.el:8619:15:Warning: ‘show-subtree’ is an obsolete function (as
> org/org-agenda.el:8628:10:Warning: ‘show-subtree’ is an obsolete function (as
> org/org-archive.el:347:36:Warning: ‘show-all’ is an obsolete function (as of
> org/org-archive.el:314:37:Warning: ‘show-subtree’ is an obsolete function (as
> org/org-archive.el:443:27:Warning: ‘hide-subtree’ is an obsolete function (as
> org/org-archive.el:517:14:Warning: ‘hide-subtree’ is an obsolete function (as
> org/org-capture.el:1001:54:Warning: ‘show-all’ is an obsolete function (as of
> org/org-clock.el:1934:6:Warning: org-font-lock-ensure called with 0 arguments,
> org/org-colview.el:563:11:Warning: ‘hide-entry’ is an obsolete function (as of
> org/org-compat.el:484:19:Warning: ‘font-lock-fontify-buffer’ is for
> org/org-crypt.el:191:19:Warning: ‘hide-subtree’ is an obsolete function (as of
> org/org-ctags.el:361:6:Warning: ‘find-tag’ is an obsolete function (as of
> org/org-ctags.el:530:19:Warning: ‘find-tag’ is an obsolete function (as of
> org/org-feed.el:405:12:Warning: ‘hide-subtree’ is an obsolete function (as of
> org/org-feed.el:409:12:Warning: ‘show-children’ is an obsolete function (as of
> org/org-mouse.el:218:18:Warning: ‘redisplay-dont-pause’ is an obsolete
> org/org-mouse.el:590:15:Warning: org-looking-back called with 1 argument, but
> org/org-pcomplete.el:96:19:Warning: org-looking-back called with 1 argument,
> org/org-pcomplete.el:96:47:Warning: org-looking-back called with 1 argument,
> org/org-src.el:919:14:Warning: org-font-lock-ensure called with 0 arguments,
> org/org-src.el:957:1:Warning: the function ‘org-some’ is not known to be
> org/org.el:6378:8:Warning: org-font-lock-ensure called with 0 arguments, but
> org/org.el:6633:15:Warning: ‘show-all’ is an obsolete function (as of 25.1);
> org/org.el:6724:38:Warning: ‘show-all’ is an obsolete function (as of 25.1);
> org/org.el:6797:10:Warning: ‘show-children’ is an obsolete function (as of
> org/org.el:6855:17:Warning: ‘show-all’ is an obsolete function (as of 25.1);
> org/org.el:6856:8:Warning: ‘hide-sublevels’ is an obsolete function (as of
> org/org.el:6873:32:Warning: ‘show-all’ is an obsolete function (as of 25.1);
> org/org.el:6893:12:Warning: ‘hide-subtree’ is an obsolete function (as of
> org/org.el:6899:20:Warning: ‘hide-subtree’ is an obsolete function (as of
> org/org.el:6900:14:Warning: ‘show-children’ is an obsolete function (as of
> org/org.el:6906:18:Warning: ‘show-subtree’ is an obsolete function (as of
> org/org.el:6932:34:Warning: ‘hide-sublevels’ is an obsolete function (as of
> org/org.el:6949:23:Warning: ‘show-children’ is an obsolete function (as of
> org/org.el:6950:32:Warning: ‘show-branches’ is an obsolete function (as of
> org/org.el:7001:36:Warning: ‘hide-entry’ is an obsolete function (as of 25.1);
> org/org.el:7102:28:Warning: ‘hide-sublevels’ is an obsolete function (as of
> org/org.el:7162:9:Warning: ‘show-all’ is an obsolete function (as of 25.1);
> org/org.el:7527:10:Warning: ‘show-all’ is an obsolete function (as of 25.1);
> org/org.el:8227:16:Warning: ‘hide-subtree’ is an obsolete function (as of
> org/org.el:8231:8:Warning: ‘show-children’ is an obsolete function (as of
> org/org.el:8394:15:Warning: ‘hide-subtree’ is an obsolete function (as of
> org/org.el:8706:18:Warning: ‘show-subtree’ is an obsolete function (as of
> org/org.el:8827:20:Warning: ‘show-all’ is an obsolete function (as of 25.1);
> org/org.el:12841:19:Warning: assignment to free variable ‘e’
> org/org.el:12841:19:Warning: reference to free variable ‘e’
> org/org.el:14894:37:Warning: assignment to free variable ‘e’
> org/org.el:14894:37:Warning: reference to free variable ‘e’
> org/org.el:15718:12:Warning: ‘hide-entry’ is an obsolete function (as of
> org/org.el:16251:24:Warning: looking-back called with 1 argument, but requires
> org/org.el:17513:21:Warning: org-looking-back called with 1 argument, but
> org/org.el:19520:40:Warning: ‘show-subtree’ is an obsolete function (as of
> org/org.el:20484:12:Warning: ‘hide-subtree’ is an obsolete function (as of
> org/org.el:20524:16:Warning: org-looking-back called with 1 argument, but
> org/org.el:23060:22:Warning: ‘hide-subtree’ is an obsolete function (as of
> org/org.el:24031:1:Warning: the function ‘format-spec’ might not be defined at
> org/ox-html.el:1858:25:Warning: org-font-lock-ensure called with 0 arguments,
> org/ox-odt.el:3143:21:Warning: org-font-lock-ensure called with 0 arguments,
> org/ox-org.el:257:10:Warning: org-font-lock-ensure called with 0 arguments,
> org/ox-org.el:257:10:Warning: ‘show-all’ is an obsolete function (as of 25.1);
> play/dunnet.el:1205:22:Warning: ‘end-of-buffer’ is for interactive use only;
> progmodes/cc-defs.el:2505:1:Warning: the following functions might not be
> progmodes/cc-vars.el:1780:1:Warning: the following functions might not be
> progmodes/cc-langs.el:3362:1:Warning: the following functions might not be
> progmodes/cc-engine.el:11298:1:Warning: the following functions might not be
> progmodes/cc-align.el:1353:1:Warning: the following functions might not be
> progmodes/cc-awk.el:1155:1:Warning: the following functions might not be
> progmodes/cc-cmds.el:4777:1:Warning: the following functions might not be
> progmodes/cc-fonts.el:2712:1:Warning: the following functions might not be
> progmodes/cc-guess.el:581:1:Warning: the following functions might not be
> progmodes/cc-menus.el:529:1:Warning: the following functions might not be
> progmodes/cc-styles.el:671:1:Warning: the following functions might not be
> progmodes/cc-mode.el:105:21:Warning: ‘font-lock-syntactic-keywords’ is an
> progmodes/cc-mode.el:154:53:Warning: (lambda nil ...) quoted with ' rather
> progmodes/cc-mode.el:154:53:Warning: (lambda nil ...) quoted with ' rather
> progmodes/cc-mode.el:155:53:Warning: (lambda nil ...) quoted with ' rather
> progmodes/cc-mode.el:156:53:Warning: (lambda nil ...) quoted with ' rather
> progmodes/cc-mode.el:1927:1:Warning: the following functions might not be
> progmodes/etags.el:1020:10:Warning: ‘find-tag-other-window’ is an obsolete
> progmodes/etags.el:1872:18:Warning: ‘tags-loop-continue’ is an obsolete
> progmodes/etags.el:1876:11:Warning: ‘tags-loop-continue’ is an obsolete
> progmodes/etags.el:1901:9:Warning: ‘tags-loop-continue’ is an obsolete
> progmodes/gdb-mi.el:675:1:Warning: Unused lexical argument ‘arg’
> progmodes/gud.el:735:1:Warning: Unused lexical argument ‘arg’
> progmodes/hideshow.el:581:22:Warning: looking-back called with 1 argument, but
> progmodes/idlw-help.el:1185:16:Warning: ‘font-lock-fontify-buffer’ is for
> progmodes/octave.el:1871:1:Warning: the function ‘compilation-forget-errors’
> progmodes/sql.el:2781:31:Warning: looking-back called with 1 argument, but
> textmodes/sgml-mode.el:436:1:Warning: global/dynamic var ‘v2’ lacks a prefix
> vc/add-log.el:476:4:Warning: value returned from (car change-log-find-head) is
>
>
>

Hi,

sorry being late here.

As any change might create a new bug, IMO it's better to tackle this not 
shortly before, rather after a release.
It's about an easier development, not function itself.

Glad to see the ship taking course, thanks all,

Andreas